#!/bin/bash

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

mkdir -p /opt/dinnerbell/ && \
/usr/bin/cp "$SCRIPT_DIR"/dinnerbell.py /opt/dinnerbell/dinnerbell.py && \
chmod +x /opt/dinnerbell/dinnerbell.py && \
ln -sf /opt/dinnerbell/dinnerbell.py /usr/bin/dinnerbell && \
mkdir -p /etc/dinnerbell/audio/ && \
chmod 777 /etc/dinnerbell/audio/ && \
/usr/bin/cp "$SCRIPT_DIR"/dinnerbell.service /etc/systemd/system/dinnerbell.service && \
systemctl daemon-reload && \
systemctl restart playclock.service
